<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class DashboardController extends AbstractController
{
    #[Route('/admin/dashboard', name: 'admin_dashboard')]
    public function admin(): Response
    {
        $this->denyAccessUnlessGranted('ROLE_ADMIN');
        return $this->render('dashboard/admin.html.twig');
    }

    #[Route('/secretaire/dashboard', name: 'secretaire_dashboard')]
    public function secretaire(): Response
    {
        $this->denyAccessUnlessGranted('ROLE_SECRETAIRE');
        return $this->render('dashboard/secretaire.html.twig');
    }

    #[Route('/chauffagiste/dashboard', name: 'chauffagiste_dashboard')]
    public function chauffagiste(): Response
    {
        $this->denyAccessUnlessGranted('ROLE_CHAUFFAGISTE');
        return $this->render('dashboard/chauffagiste.html.twig');
    }
}
